org.apache.jmeter.gui.util

## Class TextAreaTableCellEditor

- java.lang.Object
- - javax.swing.AbstractCellEditor
  - - org.apache.jmeter.gui.util.TextAreaTableCellEditor

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.CellEditor, javax.swing.table.TableCellEditor, javax.swing.tree.TreeCellEditor

      public class TextAreaTableCellEditor
      extends javax.swing.AbstractCellEditor
      implements javax.swing.table.TableCellEditor, javax.swing.tree.TreeCellEditor

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `TextAreaTableCellEditor.EditorDelegate` The protected `EditorDelegate` class.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `clickCountToStart` An integer specifying the number of clicks needed to start editing.
    `protected TextAreaTableCellEditor.EditorDelegate` | `delegate` The delegate class which handles all methods sent from the `CellEditor`.
    `protected javax.swing.JTextArea` | `editorComponent` The Swing component being edited.

    - ### Fields inherited from class javax.swing.AbstractCellEditor

      `changeEvent, listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextAreaTableCellEditor()` Constructs a `TableCellEditor` that uses a text field.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelCellEditing()` Forwards the message from the `CellEditor` to the `delegate`.
    `java.lang.Object` | `getCellEditorValue()` Forwards the message from the `CellEditor` to the `delegate`.
    `int` | `getClickCountToStart()` Returns the number of clicks needed to start editing.
    `java.awt.Component` | `getComponent()` Returns a reference to the editor component.
    `java.awt.Component` | `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)` Implements the `TableCellEditor` interface.
    `java.awt.Component` | `getTreeCellEditorComponent(javax.swing.JTree tree, java.lang.Object value, boolean isSelected, boolean expanded, boolean leaf, int row)` Implements the `TreeCellEditor` interface.
    `boolean` | `isCellEditable(java.util.EventObject anEvent)` Forwards the message from the `CellEditor` to the `delegate`.
    `void` | `setClickCountToStart(int count)` Specifies the number of clicks needed to start editing.
    `boolean` | `shouldSelectCell(java.util.EventObject anEvent)` Forwards the message from the `CellEditor` to the `delegate`.
    `boolean` | `stopCellEditing()` Forwards the message from the `CellEditor` to the `delegate`.

    - ### Methods inherited from class javax.swing.AbstractCellEditor

      `addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.CellEditor

      `addCellEditorListener, removeCellEditorListener`

- - ### Field Detail

    - #### editorComponent

          protected javax.swing.JTextArea editorComponent

      The Swing component being edited.

    - #### delegate

          protected TextAreaTableCellEditor.EditorDelegate delegate

      The delegate class which handles all methods sent from the `CellEditor`.

    - #### clickCountToStart

          protected int clickCountToStart

      An integer specifying the number of clicks needed to start editing. Even if `clickCountToStart` is defined as zero, it will not initiate until a click occurs.

  - ### Constructor Detail

    - #### TextAreaTableCellEditor

          public TextAreaTableCellEditor()

      Constructs a `TableCellEditor` that uses a text field.

  - ### Method Detail

    - #### getComponent

          public java.awt.Component getComponent()

      Returns a reference to the editor component.
      Returns:
        the editor `Component`

    - #### setClickCountToStart

          public void setClickCountToStart(int count)

      Specifies the number of clicks needed to start editing.
      Parameters:
        `count` - an int specifying the number of clicks needed to start editing
      See Also:
        `getClickCountToStart()`

    - #### getClickCountToStart

          public int getClickCountToStart()

      Returns the number of clicks needed to start editing.
      Returns:
        the number of clicks needed to start editing

    - #### getCellEditorValue

          public java.lang.Object getCellEditorValue()

      Forwards the message from the `CellEditor` to the `delegate`.
      Specified by:
        `getCellEditorValue` in interface `javax.swing.CellEditor`
      See Also:
        `TextAreaTableCellEditor.EditorDelegate.getCellEditorValue()`

    - #### isCellEditable

          public boolean isCellEditable(java.util.EventObject anEvent)

      Forwards the message from the `CellEditor` to the `delegate`.
      Specified by:
        `isCellEditable` in interface `javax.swing.CellEditor`
      Overrides:
        `isCellEditable` in class `javax.swing.AbstractCellEditor`
      See Also:
        `TextAreaTableCellEditor.EditorDelegate.isCellEditable(EventObject)`

    - #### shouldSelectCell

          public boolean shouldSelectCell(java.util.EventObject anEvent)

      Forwards the message from the `CellEditor` to the `delegate`.
      Specified by:
        `shouldSelectCell` in interface `javax.swing.CellEditor`
      Overrides:
        `shouldSelectCell` in class `javax.swing.AbstractCellEditor`
      See Also:
        `TextAreaTableCellEditor.EditorDelegate.shouldSelectCell(EventObject)`

    - #### stopCellEditing

          public boolean stopCellEditing()

      Forwards the message from the `CellEditor` to the `delegate`.
      Specified by:
        `stopCellEditing` in interface `javax.swing.CellEditor`
      Overrides:
        `stopCellEditing` in class `javax.swing.AbstractCellEditor`
      See Also:
        `TextAreaTableCellEditor.EditorDelegate.stopCellEditing()`

    - #### cancelCellEditing

          public void cancelCellEditing()

      Forwards the message from the `CellEditor` to the `delegate`.
      Specified by:
        `cancelCellEditing` in interface `javax.swing.CellEditor`
      Overrides:
        `cancelCellEditing` in class `javax.swing.AbstractCellEditor`
      See Also:
        `TextAreaTableCellEditor.EditorDelegate.cancelCellEditing()`

    - #### getTreeCellEditorComponent

          public java.awt.Component getTreeCellEditorComponent(javax.swing.JTree tree,
                                                               java.lang.Object value,
                                                               boolean isSelected,
                                                               boolean expanded,
                                                               boolean leaf,
                                                               int row)

      Implements the `TreeCellEditor` interface.
      Specified by:
        `getTreeCellEditorComponent` in interface `javax.swing.tree.TreeCellEditor`

    - #### getTableCellEditorComponent

          public java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                                java.lang.Object value,
                                                                boolean isSelected,
                                                                int row,
                                                                int column)

      Implements the `TableCellEditor` interface.
      Specified by:
        `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.